ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

SetLevels

# Documentation

setLevels :: FloatOutSwitches -> CoreProgram -> UniqSupply -> [LevelledBind]

data Level

Constructors

Level Int Int |

Instances

Eq Level |
Outputable Level |

tOP_LEVEL :: Level

type LevelledBind = TaggedBind FloatSpec

type LevelledExpr = TaggedExpr FloatSpec

type LevelledBndr = TaggedBndr FloatSpec

data FloatSpec

Constructors

FloatMe Level |
StayPut Level |

Instances

Outputable FloatSpec |

floatSpecLevel :: FloatSpec -> Level

incMinorLvl :: Level -> Level

ltMajLvl :: Level -> Level -> Bool

ltLvl :: Level -> Level -> Bool

isTopLvl :: Level -> Bool